# -*- coding: utf-8 -*-
"""
    :author: luffmims
    :url: http://yum2.cc
    :copyright: © 2025 luffmims <luffmims@hotmaill.com>
    :license: MIT, see LICENSE for more details.
"""

# from datetime import datetime

from inventory_check import app, db
from openpyxl import Workbook, load_workbook

class Inventory(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    sort = db.Column(db.Integer)
    location = db.Column(db.Integer, default=0)
    tag = db.Column(db.Text)
    amount = db.Column(db.Integer)
    checked = db.Column(db.Boolean, default=False)
    name = db.Column(db.Text)
    # mtime = db.Column(db.Date)


def import_from_xlsx(file_path):
    with app.app_context():
        db.drop_all()
        db.create_all()
    # 加载Excel工作簿
    wb = load_workbook(filename=file_path, data_only=True)
    # 加载工作簿，设置 data_only=True
    ws = wb.active
    
    # 遍历工作表中的每一行
    for row in ws.iter_rows(min_row=2, values_only=True):  # 假设第一行是标题行
        new_inventory = Inventory(
            sort=row[0],
            location=row[1],
            tag=row[2],
            amount=row[3],
        )
        db.session.add(new_inventory)
    db.session.commit()
